# 66. Mutācija: saglabāt lauku

Mutācija, lai grozītu esošo "Lauku" ar jaunu robežu un/vai nosaukumu.&#x20;

{% hint style="info" %}
Lai rediģētu esošā "Lauka" robežu, izmantojiet `registerField` mutāciju.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutācija SaveFieldSample {
  saveField(
    ievade: { 
      uuid: "<placeholder_of_field_uuid>"
      farmUuid: "<placeholder_of_farm_uuid>"
    	 nosaukums: "Field_name" 
    }
  ) {
    uuid
    farmUuid
    nosaukums
    boundaryUrl
    topogrāfijasKartes {
      uuid
      fieldUuid
      statuss
      geoMaps {
        shortName
        url
        hexKrāsuKodes
        klases
      }
    }
    etiketes {
      nosaukums
      vērtība
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/66.-mutacija-saglabat-lauku.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
